Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 470012 - When running configure-proxy.sh: ERROR: these arguments make no sense in this context (try --help): ['Hat']
Summary: When running configure-proxy.sh: ERROR: these arguments make no sense in this...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Proxy Server
Version: 0.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-05 09:20 UTC by Jan Pazdziora
Modified: 2009-01-22 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:15 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2008-11-05 09:20:01 UTC
Description of problem:

When running configure-proxy.sh, error is shown.

Version-Release number of selected component (if applicable):

Spacewalk Proxy 0.3
# type configure-proxy.sh
configure-proxy.sh is /usr/sbin/configure-proxy.sh
# rpm -qf /usr/sbin/configure-proxy.sh
spacewalk-proxy-installer-0.2.1-1.el5.sw

How reproducible:

Tried once.

Steps to Reproduce:
1. # configure-proxy.sh
RHN Parent [sputnik-prod.brq.redhat.com]: 
Traceback email []: jpazdziora@redhat.com
Use SSL [0]: 1
CA Chain [/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT]: 
HTTP Proxy []: 
SSL Certificate:
Common name: vmware188.englab.brq.redhat.com
Country (two letters code): CZ
City: Brno
State: .
Organization: Red Hat
Organization unit: 
You do not have monitoring installed. Do you want to install it?
Will run 'yum install rhns-proxy-monitoring'.  [Y/n]:n
Creating config files.
Creating CA certificate
  
Actual results:

You do not have monitoring installed. Do you want to install it?
Will run 'yum install rhns-proxy-monitoring'.  [Y/n]:n
Creating config files.
Creating CA certificate

ERROR: these arguments make no sense in this context (try --help): ['Hat']
Creating SSL certificate

ERROR: these arguments make no sense in this context (try --help): ['Hat']
grep: /root/ssl-build/latest.txt: No such file or directory
error: open of /root/ssl-build/ failed: No such file or directory
Creating PEM for jabberd
/usr/sbin/configure-proxy.sh: line 142: shell: command not found
Generating a 1024 bit RSA private key
.....................++++++
............................................................++++++
writing new private key to '/tmp/openssl.L32133'

Expected results:

No errors about "these arguments", no errors about latest.txt, no errors about shell: command not found.

Additional info:

Maybe the cause of the problem is that I've put two words for the Organization field? Spaces not quoted or something?

Comment 1 Jan Pazdziora 2008-11-05 09:22:06 UTC
When I tried it again and avoided putting space into Organization field, I did not get the error.

# configure-proxy.sh
RHN Parent [sputnik-prod.brq.redhat.com]: 
Traceback email []: jpazdziora@redhat.com
Use SSL [0]: 1
CA Chain [/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT]: 
HTTP Proxy []: 
SSL Certificate:
Common name: vmware188.englab.brq.redhat.com
Country (two letters code): CZ
City: Brno
State: .
Organization: Red-Hat
Organization unit: 
You do not have monitoring installed. Do you want to install it?
Will run 'yum install rhns-proxy-monitoring'.  [Y/n]:n
Creating config files.
Creating CA certificate
CA password: 
CA password confirmation: 
Generating private CA key: /root/ssl-build/RHN-ORG-PRIVATE-SSL-KEY

Comment 2 Miroslav Suchý 2008-11-06 14:26:11 UTC
This has been fixed in recent package. In repo is old version.
New version is spacewalk-proxy-installer-0.3.3-1

Comment 3 Jan Pazdziora 2009-01-15 09:49:28 UTC
The configure-proxy.sh script now runs without error even if the Organization's name has space in it.

# configure-proxy.sh
Proxy version to activate [0.4]: 
RHN Parent [dhcp77-206.rhndev.redhat.com]: 
Traceback email []: jpazdziora@redhat.com
Use SSL [1]: 
CA Chain [/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT]: 
HTTP Proxy []: 
Regardless of whether you enabled SSL for the connection to the Spacewalk Parent
Server, you will be prompted to generate an SSL certificate.
This SSL certificate will allow client systems to connect to this Spacewalk Proxy
securely. Refer to the Spacewalk Proxy Installation Guide for more information.
Organization: Red Hat
Organization Unit [vmware145.englab.brq.redhat.com]: 
Common Name [vmware145.englab.brq.redhat.com]: 
City: Brno
State: .
Country code: CZ
Email [jpazdziora@redhat.com]: 
API version: 0.4
RHN Proxy successfully activated.
Loading "rhnplugin" plugin
Loading "security" plugin
rhel-i386-server-5        100% |=========================| 1.4 kB    00:00     
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package spacewalk-proxy-management.noarch 0:0.4.5-1.el5 set to be updated
--> Processing Dependency: spacewalk-proxy-redirect = 0.4.5 for package: spacewalk-proxy-management
--> Processing Dependency: spacewalk-proxy-common >= 0.4.5 for package: spacewalk-proxy-management
--> Processing Dependency: spacewalk-proxy-tools = 0.4.5 for package: spacewalk-proxy-management
--> Processing Dependency: spacewalk-proxy-broker = 0.4.5 for package: spacewalk-proxy-management
--> Running transaction check
---> Package spacewalk-proxy-common.noarch 0:0.4.5-1.el5 set to be updated
---> Package spacewalk-proxy-redirect.noarch 0:0.4.5-1.el5 set to be updated
---> Package spacewalk-proxy-broker.noarch 0:0.4.5-1.el5 set to be updated
--> Processing Dependency: spacewalk-proxy-package-manager = 0.4.5 for package: spacewalk-proxy-broker
---> Package spacewalk-proxy-tools.noarch 0:0.4.5-1.el5 set to be updated
--> Running transaction check
---> Package spacewalk-proxy-package-manager.noarch 0:0.4.5-1.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 spacewalk-proxy-management  noarch     0.4.5-1.el5      spacewalk          13 k
Updating:
 spacewalk-proxy-broker  noarch     0.4.5-1.el5      spacewalk          36 k
 spacewalk-proxy-common  noarch     0.4.5-1.el5      spacewalk          60 k
 spacewalk-proxy-package-manager  noarch     0.4.5-1.el5      spacewalk          35 k
 spacewalk-proxy-tools   noarch     0.4.5-1.el5      spacewalk          20 k
Installing for dependencies:
 spacewalk-proxy-redirect  noarch     0.4.5-1.el5      spacewalk          25 k

Transaction Summary
=============================================================================
Install      2 Package(s)         
Update       4 Package(s)         
Remove       0 Package(s)         

Total download size: 189 k
Is this ok [y/N]: y
Downloading Packages:
(1/6): spacewalk-proxy-pa 100% |=========================|  35 kB    00:00     
(2/6): spacewalk-proxy-to 100% |=========================|  20 kB    00:00     
(3/6): spacewalk-proxy-ma 100% |=========================|  13 kB    00:00     
(4/6): spacewalk-proxy-br 100% |=========================|  36 kB    00:00     
(5/6): spacewalk-proxy-re 100% |=========================|  25 kB    00:00     
(6/6): spacewalk-proxy-co 100% |=========================|  60 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : spacewalk-proxy-package-mana ####################### [ 1/10] 
  Updating  : spacewalk-proxy-common       ####################### [ 2/10] 
  Updating  : spacewalk-proxy-broker       ####################### [ 3/10] 
  Installing: spacewalk-proxy-redirect     ####################### [ 4/10] 
  Updating  : spacewalk-proxy-tools        ####################### [ 5/10] 
  Installing: spacewalk-proxy-management   ####################### [ 6/10] 
  Cleanup   : spacewalk-proxy-common       ####################### [ 7/10] 
  Cleanup   : spacewalk-proxy-broker       ####################### [ 8/10] 
  Cleanup   : spacewalk-proxy-tools        ####################### [ 9/10] 
  Cleanup   : spacewalk-proxy-package-mana ####################### [10/10] 

Installed: spacewalk-proxy-management.noarch 0:0.4.5-1.el5
Dependency Installed: spacewalk-proxy-redirect.noarch 0:0.4.5-1.el5
Updated: spacewalk-proxy-broker.noarch 0:0.4.5-1.el5 spacewalk-proxy-common.noarch 0:0.4.5-1.el5 spacewalk-proxy-package-manager.noarch 0:0.4.5-1.el5 spacewalk-proxy-tools.noarch 0:0.4.5-1.el5
Complete!
You do not have monitoring installed. Do you want to install it?
Will run 'yum install spacewalk-proxy-monitoring'.  [Y/n]:n
Generating CA key and public certificate:
CA password: 
CA password confirmation: 
Copying CA public certificate to /var/www/html/pub for distribution to clients:
Generating SSL key and public certificate:
CA password: 
Backup made: 'rhn-ca-openssl.cnf' --> 'rhn-ca-openssl.cnf.1'

Rotated: rhn-ca-openssl.cnf --> rhn-ca-openssl.cnf.1
Installing SSL certificate for Apache and Jabberd:
Preparing packages for installation...
rhn-org-httpd-ssl-key-pair-vmware145.englab.brq-1.0-1
Shutting down rhn-proxy...
Shutting down Jabber router:                               [FAILED]
Stopping httpd:                                            [FAILED]
Stopping squid:                                            [FAILED]
Done.
Starting rhn-proxy...
init_cache_dir /var/spool/squid... Starting squid: .       [  OK  ]
Starting httpd:                                            [  OK  ]
Starting Jabber services                                   [  OK  ]
Done.


Note You need to log in before you can comment on or make changes to this bug.